std::overflow_error(3cxx)

NAME
std::overflow_error

SYNOPSIS

Inherits std::runtime_error.

  Public Member Functions

overflow_error (const char *) _GLIBCXX_TXN_SAFE
overflow_error (const overflow_error &)=default
overflow_error (const string &__arg) _GLIBCXX_TXN_SAFE
overflow_error (overflow_error &&)=default
overflow_error & operator= (const overflow_error &)=default
overflow_error & operator= (overflow_error &&)=default
virtual const char * what () const _GLIBCXX_TXN_SAFE_DYN noexcept

Detailed Description

Thrown to indicate arithmetic overflow.

Definition at line 273 of file stdexcept.

Member Function Documentation

  virtual const char* std::runtime_error::what () const [virtual], [noexcept], [inherited]
Returns a C-style character string describing the general cause of the current error (the same string passed to the ctor).

Reimplemented from std::exception.

Author

Generated automatically by Doxygen for libstdc++ from the source code.